#!/bin/bash

if test $# -ne 1; then
    echo "
Usage: $0 pdb-file
"
    exit 1
fi

pdb=$1

#gmx pdb2gmx -f $pdb -ff trappe-ua -water none
gmx editconf -f conf.gro -o box-def.gro -box 15. 15. 15. -bt cubic

echo "
### Executing minimization ...
"
gmx grompp -f mdp/min.mdp -pp min.top -po min.mdp -o min.tpr -c box-def.gro
gmx mdrun -v -s min.tpr -o min.trr -x min.xtc -c min.gro -e min.edr  -g min.log

echo "
### Executing equilibriation ...
"
gmx grompp -f mdp/nvt.mdp -o nvt.tpr -pp nvt.top -po nvt.mdp -c min.gro 
gmx mdrun -v -s nvt.tpr -o nvt.trr -x nvt.xtc -c nvt.gro -e nvt.edr -g nvt.log

echo "
### Executing production run ...
"
gmx grompp -f mdp/run.mdp -o run.tpr -pp run.top -po run.mdp -c nvt.gro
gmx mdrun -v -s run.tpr -o run.trr -x run.xtc -c run.gro -e run.edr -g run.log


